<div class="modal-header">
    <h3>Edit Recommendation</h3>
</div>

<div class="modal-body col-xs-12 editAdvertisementModal">
    <!--ADD NEW ADVERTISEMENT FORM-->
    <form name="advertisementForm" novalidate ng-submit="vm.updateAdvertisement(advertisementForm.$valid, vm.item)">
        <div class="col-xs-12 clearfix">
            <div class="col-sm-6">
                <label class="col-xs-12">Start date:</label>
                <p class="input-group">
                    <input type="text" class="form-control" name="from" ng-model="vm.item.from"
                           uib-datepicker-popup="{{vm.configModals.format}}"
                           datepicker-options="vm.configModals.fromOptions"
                           alt-input-formats="vm.configModals.altInputFormats"
                           ng-change="vm.setDateRangeByFrom(vm.item.from)"
                           is-open="vm.configModals.opened[1]"
                           readonly="true" 
                           required/>
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="vm.configModals.open(1)">
                            <i class="glyphicon glyphicon-calendar"></i>
                        </button>
                    </span>
                </p>

                <ng-messages for="advertisementForm.from.$error" role="alert" ng-if="vm.submitted">
                    <ng-messages-include src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>

            <div class="col-sm-6">
                <label class="col-xs-12">End date:</label>
                <p class="input-group">
                    <input type="text" class="form-control" name="to" ng-model="vm.item.to"
                           uib-datepicker-popup="{{vm.configModals.format}}"
                           datepicker-options="vm.configModals.toOptions"
                           alt-input-formats="vm.configModals.altInputFormats"
                           ng-change="vm.setDateRangeByTo(vm.item.to)"
                           is-open="vm.configModals.opened[2]"
                           readonly="true"
                           required/>
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="vm.configModals.open(2)">
                            <i class="glyphicon glyphicon-calendar"></i>
                        </button>
                    </span>
                </p>

                <ng-messages for="advertisementForm.to.$error" role="alert" ng-if="vm.submitted">
                    <ng-messages-include src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>
        </div>
        <div class="col-xs-12 clearfix">
            <button class="btn btn-warning center-block" type="submit">Save</button>
        </div>
    </form>
</div>

<div class="modal-footer"></div>


<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
</script>